cuongtd/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('hello-world', [
    'as' => 'hello',
    'uses' => 'HelloWorldController@show'
]);
Route::resource('register', 'UserController');

cuongtd/app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class User extends Model
{
    use SoftDeletes;
    protected $table = 'users';
    protected $dates = ['deleted_at'];
    protected $fillable = [
        'mail_address', 'name', 'address', 'phone', 'password',
    ];
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function ListUsers()
    {
        $list = User::orderBy('mail_address', 'ASC')->paginate(20);
        return $list;
    }

    public function createUser(array $data)
    {
        $data['password'] = Hash::make($data['password']);
        return User::create($data);
    }

    public function getUser(array $data)
    {
        $users = User::orderBy('mail_address', 'ASC');
            if (isset($data['mail_address'])) {
                $users->where('mail_address', 'like','%'.$data['mail_address'].'%');
            }
            if (isset($data['name'])) {
                $users->where('name', 'like','%'.$data['name'].'%');
            }
            if (isset($data['address'])) {
                $users->where('address', 'like','%'.$data['address'].'%');
            }
            if (isset($data['phone'])) {
                $users->where('phone',$data['phone']);
            }
        return $users->paginate(20);
    }
}

cuongtd/app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

cuongtd/app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

cuongtd/app/Http/Controllers/HelloWorldController.php
<?php
namespace App\Http\Controllers;
class HelloWorldController extends Controller 
{
    public function show()
    {
        return view('hello_world/show');
    }
}

cuongtd/app/Http/Controllers/UserController.php
<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Validator;
use App\Http\Requests\CreateUseRequests;
use App\Models\User;

class UserController extends Controller
{
    protected $users;

    public function __construct(User $users)
    {
        $this->users = $users;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {   $data = $request->all();
        $users = $this->users->getUser($data);
        return view('user.index', ['users' => $users]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(createUseRequests $request)
    {
        $this->users->createUser($request->all());
        flash('Thêm mới người dùng thành công')->success();
        return redirect()->route('register.index');
    }

    public function create()
    {
        return view('user.add');
    }
}

cuongtd/resources/views/hello_world/show.blade.php
<!DOCTYPE html>
<html>
<head>
	<title>laravel</title>
	<meta charset="utf-8">
</head>
<body>
	<h2>bạn đã thành công với một project laravel đơn giản.</h2>
</body>
</html>

cuongtd/resources/views/layouts/default.blade.php
<html>
    @include('layouts.head')
    <body>
        <div class="container">
            @include('layouts.header')
            @yield('content')
        </div>

        @include('layouts.footer')
    </body>
</html>

cuongtd/resources/views/layouts/footer.blade.php
<footer>
    <h1 style="text-align: center;">PHP training by LIFETIME technologies</h1>
</footer>

cuongtd/resources/views/layouts/head.blade.php
<meta charset="UTF-8">
<title>@yield('title')</title> 
<link href="{{ url('twbs/bootstrap/dist/css/bootstrap.min.css')}}" style="text/css" rel="stylesheet">
<style type="text/css">
    example {
         argin: 20px;
    }
</style>

cuongtd/resources/views/layouts/header.blade.php
<header>
    <h1 style="text-align: center;">@yield('title')</h1>
</header>

cuongtd/resources/views/user/add.blade.php
@extends('layouts.default')

@section('title', 'Danh sách người dùng')

@section('header')
    <div class="row">
        @parent
        <p> Đây là trang danh sách người dùng </p> 
    </div>
@endsection

@section('content')
    <h1 class="well">Registration Form</h1>
        <form method="POST" action="{{ route('register.store') }}">
            {{csrf_field()}}
            {{-- @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif --}}
            <div class="form-group">
                <label for="exampleInputEmail1" style="@if($errors->has('name')) {{'color: red;'}} @endif">Tên</label>
                <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Tên" name="name" style="@if($errors->has('name')) {{'border: solid 1px red;'}} @endif">
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('name') }}</p>
                @endif
            </div>
            <div class="form-group ">
                <label for="exampleInputEmail1" style="@if($errors->has('mail_address')) {{'color: red;'}} @endif">Email address</label>
                <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Email" name="mail_address" style="@if($errors->has('mail_address')) {{'border: solid 1px red;'}} @endif">
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('mail_address') }}</p>
                @endif
            </div>
            <div class="form-group">
                <label style="@if($errors->has('address')) {{'color: red;'}} @endif">Address</label>
                <textarea placeholder="Enter Address Here.." rows="3" class="form-control" name="address" style="@if($errors->has('address')) {{'border: solid 1px red;'}} @endif"></textarea>
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('address') }}</p>
                @endif
            </div>
            <div class="form-group">
                <label style="@if($errors->has('phone')) {{'color: red;'}} @endif">Phone Number</label>
                <input type="text" placeholder="Enter Phone Number Here.." class="form-control" name="phone" style="@if($errors->has('phone')) {{'border: solid 1px red;'}} @endif">
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('phone') }}</p>
                @endif
            </div>
            <div class="form-group">
                <label style="@if($errors->has('password')) {{'color: red;'}} @endif">Password</label>
                <input type="password" placeholder="Enter Password Here.." class="form-control" name="password" style="@if($errors->has('password')) {{'border: solid 1px red;'}} @endif">
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('password') }}</p>
                @endif
            </div>
            <div class="form-group">
                <label style="@if($errors->has('password_confirmation')) {{'color: red;'}} @endif">Password confirm</label>
                <input type="password" placeholder="Enter Password Here.." class="form-control" name="password_confirmation" style="@if($errors->has('password_confirmation')) {{'border: solid 1px red;'}} @endif">
                @if($errors->has('mail_address'))
                    <p style="color: red">{{ $errors->first('password_confirmation') }}</p>
                @endif
            </div>
            <input type="submit" class="btn btn-lg btn-info" value="Thêm mới"></input>
        </form> 
@endsection

cuongtd/resources/views/user/index.blade.php
@extends('layouts.default')

@section('title', 'Danh sách người dùng')

@section('header')
    <div class="row">
        @parent
        <p> Đây là trang danh sách người dùng </p> 
    </div>
@endsection

@section('content')
            <div class="row">
                <div class="col-sm-4"></div>
                <div class="col-sm-4">
                <div class="jumbotrom">
                    <form method="get" action="{{ route('register.index') }}">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <label>Email</label>
                        <div class="form-group">
                            <input type="text" name="mail_address" class="form-control" placeholder="Nhập mail cần tìm">
                        </div>
                        <label>Tên</label>
                        <div class="form-group">
                            <input type="text" name="name" class="form-control" placeholder="Nhập tên cần tìm">
                        </div>
                        <label>Địa chỉ</label>
                        <div class="form-group">
                            <input type="text" name="address" class="form-control" placeholder="Nhập địa chỉ cần tìm">
                        </div>
                        <label>Phone</label>
                        <div class="form-group">
                            <input type="text" name="phone" class="form-control" placeholder="Nhập SDT cần tìm">
                        </div>
                        <div>
                            <input type="submit" name="search" value="Tìm kiếm" class="btn btn-lg btn-info">
                        </div>
                    </form>
                </div>
                </div>
            </div>
            </br>
            <div class="row">@include('flash::message')</div><br/>
                <h2>Danh sách</h2>
                <table class="table table-bordered">
                    <thead>
                        <tr style="text-align: center;">
                            <th>STT</th>
                            <th>Email</th>
                            <th>Tên</th>
                            <th>Địa chỉ</th>
                            <th>Số điện thoại</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($users as $value)
                        <tr>
                            <td>{{(($users->currentPage() - 1 ) * $users->perPage() ) + $loop->iteration}}</td>
                            <td>{{$value->mail_address}}</td>
                            <td>{{ Helper::toUpperCase($value->name)}}</td>
                            <td>{{$value->address}}</td>
                            <td>{{$value->phone}}</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                <a href="{{route('register.create')}}" class="btn btn-lg btn-info" >Thêm user</a>
            </div>
        </div>
    </div>
    {{ $users->links()}}
@endsection